# Task 1 script
@task
def run_job1():
    run('curl http://www.lively-web.org/nodejs/GEETutorial/helloWorld?email=youremail@mail.ca')


import job2_config
@task
@hosts(job2_config.job_server)
@runs_once
def run_job_server():
    run_bg_bash('./job2.py --server', output_file="job2-server.log")

@task
@parallel
def run_job_clients():
    run('./job2.py --client > job2-client.log')

@task
def deploy_job2():
    put('job2_config.py')
    put('job2.py', mode=0755)

import time

@task
@hosts('localhost')
def run_job2():
    execute(run_job_server)
    # time.sleep(5)
    execute(run_job_clients)
    
@task
def setup_job2():
    install_gee_environment()
    setup_beanstalk_server()
    setup_beanstalk_clients()
    deploy_job2()


@task
@hosts(job2_config.job_server)
def job2_get_server_result():
    get('job2-server.log')

@task
def job2_get_client_results():
    get('job2-client.log')

@task
@hosts('localhost')
def job2_get_results():
    execute(job2_get_server_result)
    execute(job2_get_client_results)
     

@task
@parallel
def deploy_job3():
    with settings(warn_only=True):
        sudo('pip install requests')
    put('weather_parse.py', mode=0755)


weather_server = env.hosts[0]

@task
@hosts(weather_server)
@runs_once
def run_weather_server():
    run_bg_bash('./weather_parse.py --server', output_file="weather-server.log")

@task
@parallel
def run_weather_clients():
    run('./weather_parse.py --client > weather_report_client.log')

@task
@hosts('localhost')
def run_job3():
    execute(run_weather_server)
    execute(run_weather_clients)


@task
@hosts(weather_server)
def job3_get_server_result():
    get('weather-server.log')

@task
def job3_get_client_results():
    get('weather_report_client.log')

@task
@hosts('localhost')
def job3_get_results():
    execute(job3_get_server_result)
    execute(job3_get_client_results)
